/*
 * pch.h:
 *
 * Precompiled header accelerator.
 *
 * Copyright (c) Malcolm Smith 2001-2005.  No warranty is provided.
 */

#include "build.h"
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#ifndef WIN3X_BASEAPI
#include <commctrl.h>
#endif
#include <shellapi.h>
#include <commdlg.h>
#include <mmsystem.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <limits.h>
#ifdef WIN3X_BASEAPI
#include <dos.h>
#include <errno.h>
#endif
#include <tchar.h>
//
// Although all MSVC compilers include tchar.h, on early versions it is
// incomplete.  We won't attempt to support Unicode on those compilers.
//
#ifndef _tsearchenv
#ifndef UNICODE
#define _tsearchenv _searchenv
#else
#error _tsearchenv not available for this compiler.  Please disable Unicode to use this compiler
#endif
#endif

#ifndef _tfopen
#ifndef UNICODE
#define _tfopen fopen
#else
#error _tfopen not available for this compiler.  Please disable Unicode to use this compiler
#endif
#endif

#ifndef _tcsupr
#ifndef UNICODE
#define _tcsupr strupr
#else
#error _tcsupr not available for this compiler.  Please disable Unicode to use this compiler
#endif
#endif

#ifndef _tcslwr
#ifndef UNICODE
#define _tcslwr strlwr
#else
#error _tcslwr not available for this compiler.  Please disable Unicode to use this compiler
#endif
#endif




//
// Windows 3.x doesn't have Unicode, and doesn't handle ANSI/Unicode
// mapping too well
//
#ifdef WIN3X_BASEAPI
#ifdef UNICODE
#error Unicode on Win16, you have to be kidding
#endif

typedef LPSTR LPTSTR;
typedef LPCSTR LPCTSTR;
typedef char CHAR;

#endif


#ifndef DWORD_PTR
#ifndef _WIN64
typedef DWORD DWORD_PTR;
#endif
#endif
#include "mpassert.h"
#include "import.h"
